> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/streaming-integration/apis/streaming-api/recommended-open-source-players.md).

# Recommended Open Source Players

## Recommended Web Players

If you wish to integrate with our Streaming API and use an open source player for your Web client, there are a number of open source players available that form a good starting point for video playback on web:

**video.js:** <https://videojs.com/>

**hls.js:** <https://hls-js.netlify.com/demo/> / <https://github.com/video-dev/hls.js/>

Whilst we recommend these web players, we cannot support any integrations with them.

## Recommended Native iOS Players

We recommend using Apple's AV Player for playback on iOS devices:

<https://developer.apple.com/documentation/avfoundation/avplayer>

## Recommended Android Players

We recommend using Exoplayer for native playback on Android devices:

<https://exoplayer.dev/> / <https://developer.android.com/guide/topics/media/exoplayer>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/streaming-integration/apis/streaming-api/recommended-open-source-players.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
